summaryrefslogtreecommitdiffstats
path: root/system/acpitool
diff options
context:
space:
mode:
author Rodney Cobb <rdc@ktabic.co.uk>2010-05-11 20:01:51 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:51 +0200
commit763f46879733bc10101ccae00d0f0f61049e0c34 (patch)
treea52ed6707237c2c306f0b310a663f9bd8e6b4bc1 /system/acpitool
parentdc82f7075492172f621a8a3e5f97ab32f95582f3 (diff)
downloadslackbuilds-763f46879733bc10101ccae00d0f0f61049e0c34.tar.gz
slackbuilds-763f46879733bc10101ccae00d0f0f61049e0c34.tar.xz
system/acpitool: Added to 12.0 repository
Diffstat (limited to 'system/acpitool')
-rw-r--r--system/acpitool/README5
-rw-r--r--system/acpitool/acpitool.SlackBuild80
-rw-r--r--system/acpitool/acpitool.info8
-rw-r--r--system/acpitool/slack-desc19
4 files changed, 112 insertions, 0 deletions
diff --git a/system/acpitool/README b/system/acpitool/README
new file mode 100644
index 0000000000..1a08b5a132
--- /dev/null
+++ b/system/acpitool/README
@@ -0,0 +1,5 @@
+This is an ACPI client for Linux, written by David Leemans.
+This ACPI client is intended to be a replacement for the apm tool.
+Even though APM works fine on a lot of laptops, it is deprecated and will
+be replaced by ACPI. Most newer laptops even require ACPI to boot properly;
+as such, it will be nice to have an ACPI client.
diff --git a/system/acpitool/acpitool.SlackBuild b/system/acpitool/acpitool.SlackBuild
new file mode 100644
index 0000000000..8898d411c0
--- /dev/null
+++ b/system/acpitool/acpitool.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Copyright 2007 by ktabic (rdc@ktabic.co.uk)
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# ---------------------------------------------------------------------------
+
+PRGNAM=acpitool
+VERSION=${VERSION:-0.4.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -name "*.?" -exec gzip -9 {} \;
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog AUTHORS COPYING INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/acpitool/acpitool.info b/system/acpitool/acpitool.info
new file mode 100644
index 0000000000..24f8e37111
--- /dev/null
+++ b/system/acpitool/acpitool.info
@@ -0,0 +1,8 @@
+PRGNAM="acpitool"
+VERSION="0.4.7"
+HOMEPAGE="http://freeunix.dyndns.org:8000/site2/acpitool.shtml"
+DOWNLOAD="http://freeunix.dyndns.org:8000/ftp_site/pub/unix/acpitool/acpitool-0.4.7.tar.bz2"
+MD5SUM="cba416a11229e896ec2639c59b6f59c5"
+MAINTAINER="Rodney Cobb"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="rworkman"
diff --git a/system/acpitool/slack-desc b/system/acpitool/slack-desc
new file mode 100644
index 0000000000..63e04f5c11
--- /dev/null
+++ b/system/acpitool/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package acpitool, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+acpitool: acpitool
+acpitool:
+acpitool: This is an ACPI client for Linux, written by David Leemans.
+acpitool: This ACPI client is intended to be a replacement for the apm tool.
+acpitool: Even though APM works fine on a lot of laptops, it is deprecated and
+acpitool: will be replaced by ACPI. Most newer laptops even require ACPI to
+acpitool: boot properly. As such, it will be nice to have an ACPI client.
+acpitool:
+acpitool:
+acpitool:
+acpitool: